Subject: Re: Does CVS has a easy way to compare file with its previous version?

From: Paolo Bonzini <[email-masked]>
Date: Tue, 07 Jul 2009 21:57:46 +0200

On 07/07/2009 01:39 AM, Eric Raible wrote:
> On Thu, Jul 2, 2009 at 11:39 PM, Paolo Bonzini<[email-masked]>  wrote:
>> On 07/02/2009 08:04 PM, Eric Raible wrote:
>>> Isn't the first one incorrect because<file>    needs to be inside the
>>> backticks?
>>> git diff `git log -2 --pretty=format:%h<file>` --<file>
>>>
>>> And isn't the replacement incorrect also (the diffs are backwards)?
>>> git log --no-merges -p -R -1<file>
>> Yes and no.
>>
>> Paolo
>>
>
> Are you sure that you didn't mean yes and yes?

I'm sure; I'm not sure I was right (though I did retest at the time, and 
I was convinced that Linus's alternative worked).

Paolo